> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/things/refresh-thing-network-connection.md).

# Refresh Thing Network Connection

## Refresh Thing Network Connection

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thing/{ThingId}/refreshConnection/`

#### Path Parameters

| Name                                    | Type   | Description           |
| --------------------------------------- | ------ | --------------------- |
| ICCID<mark style="color:red;">\*</mark> | String | The ICCID of your SIM |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
Result of invoking refresh connection request
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found Not found" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using **cURL**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thing/ThingId_ICCID_{ICCID_HERE}/refreshConnection" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}"
```

{% hint style="info" %}
Please note that the above-shown command needs to be replaced with information:&#x20;

**{TOKEN\_HERE}** - replace with your token

**{ICCID\_HERE}** - replace with the ICCID of your SIM
{% endhint %}

**Example of request**

```bash
curl -X GET \
    --url "https://console.monogoto.io/thing/ThingId_ICCID_8912372646888991/refreshConnection" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng"
```

The result should show you if the Refresh Connection was invoked successfully.

```
Refresh connection invoked successfully for thing id ThingId_ICCID_8912372646888991
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thing/{ThingId}/refreshConnection/" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/refresh-thing-network-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
